#!/bin/bash

apt_init() {
	export DEBIAN_FRONTEND=noninteractive
	export DEBCONF_NONINTERACTIVE_SEEN=true
	
	# Globals
	
	CONFDEF='-o Dpkg::Options::=--force-confdef'
	CONFNEW='-o Dpkg::Options::=--force-confnew'
	CONFOLD='-o Dpkg::Options::=--force-confold'

	APTGET='apt-get -y -qq'
}

apt_ensurewheezy() {
	# Verify wheezy
	if ! grep -q -E '^7' /etc/debian_version ; then
		echo "Not running debian 7" 1>&2
	exit 1
	fi
}

apt_fixsources() {
	# Enforce apt sources
	cat << 'APT' > /etc/apt/sources.list
deb http://http.debian.net/debian/ wheezy main
deb-src http://http.debian.net/debian/ wheezy main

deb http://http.debian.net/debian/ wheezy-updates main
deb-src http://http.debian.net/debian/ wheezy-updates main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

deb http://http.debian.net/debian wheezy-backports main
deb-src http://http.debian.net/debian wheezy-backports main

APT
}

apt_update() {
	$APTGET update
}

apt_upgrade() {
	$APTGET upgrade
}

apt_autoremove() {
	$APTGET autoremove
}

apt_autoconf() {
	apt_init
	apt_ensurewheezy
	apt_fixsources
	apt_update
	apt_upgrade
	apt_autoremove
}
