#!/bin/bash

muninnode_install() {
	# Ensure necessary packages are installed
	# Err on side of trashing configuration as we rebuild it anyway
	$APTGET $CONFNEW -t "wheezy-backports" install munin-node
}

muninnode_fixup() {
	# Enforce ipv line for servers with only IPv4 (debian bug #643654)
	if ! grep '^\s*ipv' /etc/munin/munin-node.conf ; then
		echo "ipv *" >> /etc/munin/munin-node.conf
	fi
}

muninnode_restart() {
	service munin-node restart
}

muninnode_denyall() {
	sed -E '/^[^#]*allow/ { d; }' -i /etc/munin/munin-node.conf
}

muninnode_allow() {
	echo "allow $1" >> /etc/munin/munin-node.conf
}

muninnode_autoconf() {
	muninnode_install
	muninnode_fixup
	muninnode_denyall
	muninnode_allow '^::1$'
	muninnode_allow '^127\.0\.0\.1$'
	muninnode_allow '^2406:e000:.*$'
	muninnode_allow '^101\.98\.\d+\.\d+$'
	muninnode_allow '^111\.69\.\d+\.\d+$'
	muninnode_restart
}
