#!/bin/bash

transmission_install() {
	# Ensure transmission is installed
	$APTGET install transmission-daemon transmission-cli
}

transmission_setopt() {
	# Usage: setopt rpc-username transmission
	# (Arguments must be sed-safe and json-encoded without quotes)
	
	sed "s~^.*\"${1}\".*$~   \"${1}\": \"${2}\",~" -i /etc/transmission-daemon/settings.json
}

transmission_reconfig() {
	
	service transmission-daemon stop
	
	# Configure password and port options
	transmission_setopt rpc-username transmission
	transmission_setopt rpc-password transmission
	transmission_setopt rpc-whitelist '*'
	transmission_setopt download-dir '/var/lib/transmission-daemon/downloads'
	
	service transmission-daemon start
	
}

transmission_autoconf() {
	transmission_install
	transmission_reconfig
}
